GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
File GSTR9CPOST
File GSTR9C dataPOST
Save GSTR9CPUT
Get GSTR9C SummaryGET
Get 9 Records for GSTR9CGET
Hash GeneratorPUT
Generate CertificatePUT
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

Generate GSTR-9C Certificate

PUThttps://apisandbox.whitebooks.in/gstr9c/gencert

This API is to Generate Certificate

Parameters

query parameters
emailstringrequired
User Email
header parameters
gstinstringrequired
GST Number
ret_periodstringrequired
Return Period (MMYYYY)
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Request Body

application/jsonrequired
gstinstringoptional
GSTIN number
Example: "12AVVVH1234HA1X"
fpstringoptional
Fp Type
Example: "032019"
isauditorstringoptional
Is Auditor
Example: "Y"
cert_dataobjectoptional
pronounstringoptional
pronoun
Example: "We"
bal_sheet_datestringoptional
balance sheet date
Example: "21/12/2121"
acc_typstringoptional
account type
Example: "profit and loss account"
beg_datestringoptional
begin date
Example: "21/12/2121"
end_datestringoptional
end date
Example: "21/12/2121"
cash_from_datestringoptional
cash from date
Example: "21/12/2121"
cash_to_datestringoptional
cash to date
Example: "21/12/2121"
taxpayer_namestringoptional
taxpayer name
Example: "anil kumar"
addrobjectoptional
bnostringoptional
number
Example: "121"
fnostringoptional
number
Example: "dfgs1545"
buildingstringoptional
building name
Example: "121"
roadstringoptional
road name
Example: "neeladri"
citystringoptional
city
Example: "Bangalore"
districtstringoptional
district
Example: "Bangalore"
statestringoptional
state
Example: "Karnataka"
pin_codenumberoptional
pin code
Example: 560100
doc_statstringoptional
Document Status
Example: "has maintained the books of accounts, records and documents"
placestringoptional
place
Example: "Bangalore"
signatorystringoptional
signatory
Example: "Ankit Arora"
mem_nostringoptional
number
Example: "12345678"
datestringoptional
Date
Example: "21/12/2121"
audit_addrobjectoptional
bnostringoptional
number
Example: "121"
fnostringoptional
number
Example: "dfgs1545"
buildingstringoptional
building name
Example: "121"
roadstringoptional
road name
Example: "neeladri"
citystringoptional
city
Example: "Bangalore"
districtstringoptional
district
Example: "Bangalore"
statestringoptional
state
Example: "Karnataka"
pin_codenumberoptional
pin code
Example: 560100
cert_textpartb1objectoptional
qualificationsarray<object>optional
gstinstringoptional
GSTIN number
Example: "12AVVVH1234HA1X"
principal_addrobjectoptional
add_addrobjectoptional
ishavestringoptional
have
Example: "have been"
isagreestringoptional
agreed
Example: "in agreement"
info_statstringoptional
information
Example: "was partially provided"

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP PUT to /gstr9c/gencert. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.
For Generate Certificate (PUT /gstr9c/gencert), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
This API is to Generate Certificate
PUT/gstr9c/gencert
1const response = await fetch('https://apisandbox.whitebooks.in/gstr9c/gencert?email=value', {
2 method: 'PUT',
3 headers: {
4 gstin: "value",
5 ret_period: "value",
6 gst_username: "value",
7 state_cd: "value",
8 ip_address: "value",
9 txn: "value",
10 client_id: "value",
11 client_secret: "value",
12 Content-Type: "application/json"
13},
14 body: JSON.stringify({
15 "gstin": "12AVVVH1234HA1X",
16 "fp": "032019",
17 "isauditor": "Y",
18 "cert_data": {
19 "pronoun": "We",
20 "bal_sheet_date": "21/12/2121",
21 "acc_typ": "profit and loss account",
22 "beg_date": "21/12/2121",
23 "end_date": "21/12/2121",
24 "cash_from_date": "21/12/2121",
25 "cash_to_date": "21/12/2121",
26 "taxpayer_name": "anil kumar",
27 "addr": {
28 "bno": "121",
29 "fno": "dfgs1545",
30 "building": "121",
31 "road": "neeladri",
32 "city": "Bangalore",
33 "district": "Bangalore",
34 "state": "Karnataka",
35 "pin_code": 560100
36 },
37 "doc_stat": "has maintained the books of accounts, records and documents",
38 "place": "Bangalore",
39 "signatory": "Ankit Arora",
40 "mem_no": "12345678",
41 "date": "21/12/2121",
42 "audit_addr": {
43 "bno": "121",
44 "fno": "dfgs1545",
45 "building": "121",
46 "road": "neeladri",
47 "city": "Bangalore",
48 "district": "Bangalore",
49 "state": "Karnataka",
50 "pin_code": 560100
51 },
52 "cert_textpartb1": {
53 "qualifications": [
54 {
55 "qual_type": "2",
56 "value": "1000"
57 }
58 ],
59 "gstin": "12AVVVH1234HA1X",
60 "principal_addr": {
61 "bno": "121",
62 "fno": "dfgs1545",
63 "building": "121",
64 "road": "neeladri",
65 "city": "Bangalore",
66 "district": "Bangalore",
67 "state": "Karnataka",
68 "pin_code": 560100
69 },
70 "add_addr": {
71 "bno": "121",
72 "fno": "dfgs1545",
73 "building": "121",
74 "road": "neeladri",
75 "city": "Bangalore",
76 "district": "Bangalore",
77 "state": "Karnataka",
78 "pin_code": 560100
79 },
80 "ishave": "have been",
81 "isagree": "in agreement",
82 "info_stat": "was partially provided"
83 }
84 }
85}),
86});
87
88const data = await response.json();
89console.log(data);
No example available.